Qwt User's Guide 6.1.4

Public Member Functions | Protected Slots | Protected Member Functions | List of all members
QwtPlotPanner Class Reference

QwtPlotPanner provides panning of a plot canvas. More...

`#include <qwt_plot_panner.h>`

Inheritance diagram for QwtPlotPanner:
[legend]

## Public Member Functions
| QwtPlotPanner (QWidget *)
| A panner for the canvas of a QwtPlot. More...
virtual | ~QwtPlotPanner ()
| Destructor.
QWidget * | canvas ()
| Return observed plot canvas.
const QWidget * | canvas () const
| Return Observed plot canvas.
QwtPlot * | plot ()
| Return plot widget, containing the observed plot canvas.
const QwtPlot * | plot () const
| Return plot widget, containing the observed plot canvas.
void | setAxisEnabled (int axis, bool on)
| En/Disable an axis. More...
bool | isAxisEnabled (int axis) const
Public Member Functions inherited from QwtPanner
| QwtPanner (QWidget *parent)
virtual | ~QwtPanner ()
| Destructor.
void | setEnabled (bool)
| En/disable the panner. More...
bool | isEnabled () const
void | setMouseButton (Qt::MouseButton, Qt::KeyboardModifiers=Qt::NoModifier)
void | getMouseButton (Qt::MouseButton &button, Qt::KeyboardModifiers &) const
| Get mouse button and modifiers used for panning.
void | setAbortKey (int key, Qt::KeyboardModifiers=Qt::NoModifier)
void | getAbortKey (int &key, Qt::KeyboardModifiers &) const
| Get the abort key and modifiers.
void | setCursor (const QCursor &)
const QCursor | cursor () const
void | setOrientations (Qt::Orientations)
Qt::Orientations | orientations () const
| Return the orientation, where paning is enabled.
bool | isOrientationEnabled (Qt::Orientation) const
virtual bool | eventFilter (QObject *, QEvent *)
| Event filter. More...

## Protected Slots
virtual void | moveCanvas (int dx, int dy)

## Protected Member Functions
virtual QBitmap | contentsMask () const
virtual QPixmap | grab () const
Protected Member Functions inherited from QwtPanner
virtual void | widgetMousePressEvent (QMouseEvent *)
virtual void | widgetMouseReleaseEvent (QMouseEvent *)
virtual void | widgetMouseMoveEvent (QMouseEvent *)
virtual void | widgetKeyPressEvent (QKeyEvent *)
virtual void | widgetKeyReleaseEvent (QKeyEvent *)
virtual void | paintEvent (QPaintEvent *)
| Paint event. More...

## Additional Inherited Members
Signals inherited from QwtPanner
void | panned (int dx, int dy)
void | moved (int dx, int dy)

## Detailed Description

QwtPlotPanner provides panning of a plot canvas.

QwtPlotPanner is a panner for a plot canvas, that adjusts the scales of the axes after dropping the canvas on its new position.

Together with QwtPlotZoomer and QwtPlotMagnifier powerful ways of navigating on a QwtPlot widget can be implemented easily.

Note
  The axes are not updated, while dragging the canvas

See also
  QwtPlotZoomer, QwtPlotMagnifier

## Constructor & Destructor Documentation

## ◆ QwtPlotPanner()

QwtPlotPanner::QwtPlotPanner | ( | QWidget * | canvas | ) |
| explicit

A panner for the canvas of a QwtPlot.

The panner is enabled for all axes

Parameters

  canvas | Plot canvas to pan, also the parent object

See also
  setAxisEnabled()

## Member Function Documentation

## ◆ contentsMask()

QBitmap QwtPlotPanner::contentsMask | ( |  | ) | const
| protected virtual

Calculate a mask from the border path of the canvas

Returns
  Mask as bitmap

See also
  QwtPlotCanvas::borderPath()

Reimplemented from QwtPanner.

## ◆ grab()

QPixmap QwtPlotPanner::grab | ( |  | ) | const
| protected virtual

Returns
  Pixmap with the content of the canvas

Reimplemented from QwtPanner.

## ◆ isAxisEnabled()

bool QwtPlotPanner::isAxisEnabled | ( | int | axis | ) | const

Test if an axis is enabled

Parameters

  axis | Axis, see QwtPlot::Axis

Returns
  True, if the axis is enabled

See also
  setAxisEnabled(), moveCanvas()

## ◆ moveCanvas

void QwtPlotPanner::moveCanvas | ( | int | dx,
|  | int | dy
| ) |  |
| protected virtual slot

Adjust the enabled axes according to dx/dy

Parameters

  dx | Pixel offset in x direction
  dy | Pixel offset in y direction

See also
  QwtPanner::panned()

## ◆ setAxisEnabled()

void QwtPlotPanner::setAxisEnabled | ( | int | axis,
|  | bool | on
| ) |  |

En/Disable an axis.

Axes that are enabled will be synchronized to the result of panning. All other axes will remain unchanged.

Parameters

  axis | Axis, see QwtPlot::Axis
  on | On/Off

See also
  isAxisEnabled(), moveCanvas()